## ksmtp 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")

project(KSMTP VERSION ${PIM_VERSION})


# ECM setup
set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)

include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(KSMTP_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "5.15.2")
ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
    VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
    PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
    SOVERSION 5
)


############ Find packages ############
find_package(Qt5Network ${QT_REQUIRED_VERSION} REQUIRED)

find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

########### CMake Config Files ############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimSMTP")

configure_package_config_file(
    "${KSMTP_SOURCE_DIR}/KPimSMTPConfig.cmake.in"
    "${KSMTP_BINARY_DIR}/KPimSMTPConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


########### Targets ###########
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()

########### Install Files ############
install(FILES
    "${KSMTP_BINARY_DIR}/KPimSMTPConfig.cmake"
    "${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPimSMTPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPimSMTPTargets.cmake NAMESPACE KPim::)

install(FILES
    ${KSMTP_BINARY_DIR}/ksmtp_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim COMPONENT Devel
)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPimSMTP_QCH
        FILE KPimSMTPQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPimSMTPQchTargets.cmake\")")
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
find_package(Qt5Test ${QT_REQUIRED_VERSION} REQUIRED)

ecm_add_test(smtptest.cpp fakeserver.cpp
    LINK_LIBRARIES KPimSMTP Qt::Test Qt::Network
    TEST_NAME smtptest
)

=== src/CMakeLists.txt ===

add_library(KPimSMTP)
add_library(KPim::SMTP ALIAS KPimSMTP)
target_sources(KPimSMTP PRIVATE
    job.cpp
    loginjob.cpp
    sendjob.cpp
    session.cpp
    sessionthread.cpp
    sessionuiproxy.cpp
    loginjob.h
    sessionthread_p.h
    session_p.h
    job.h
    serverresponse_p.h
    session.h
    sessionuiproxy.h
    job_p.h
    sendjob.h
)

ecm_qt_declare_logging_category(KPimSMTP HEADER ksmtp_debug.h
        IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp
        DESCRIPTION "ksmtp (ksmtp)" EXPORT KSMTP
        )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimSMTP PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPimSMTP BASE_NAME ksmtp)
target_include_directories(KPimSMTP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP;${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/ksmtp>")

if (WIN32)
    set(extra_LIBS ws2_32)
endif()


target_link_libraries(KPimSMTP
PUBLIC
    KF5::CoreAddons
PRIVATE
    KF5::I18n
    KF5::KIOCore
    Qt::Network
    Sasl2::Sasl2
    ${extra_LIBS}
)

set_target_properties(KPimSMTP PROPERTIES
    VERSION ${KSMTP_VERSION}
    SOVERSION ${KSMTP_SOVERSION}
    EXPORT_NAME SMTP
)

ecm_generate_headers(KSMTP_CamelCase_HEADERS
    HEADER_NAMES
    Job
    LoginJob
    SendJob
    Session
    SessionUiProxy
    PREFIX KSMTP

    REQUIRED_HEADERS KSMTP_HEADERS
)

install(TARGETS KPimSMTP EXPORT KPimSMTPTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ksmtp_export.h
    ${KSMTP_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/ksmtp
)

install(FILES
    ${KSMTP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/KSMTP
)
ecm_qt_install_logging_categories(EXPORT KSMTP FILE ksmtp.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (BUILD_QCH)
    ecm_add_qch(
        KPimSMTP_QCH
        NAME KPimSMTP
        BASE_NAME KPimSMTP
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KSMTP_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KSMTP_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_generate_pri_file(BASE_NAME KSMTP LIB_NAME KPimSMTP DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
add_executable(logintest logintest.cpp)
target_link_libraries(logintest KPimSMTP Qt::Core KF5::KIOWidgets)

=== debian/changelog ===
ksmtp (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:28 +0000

ksmtp (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:22:03 +0000

ksmtp (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:53 +0000

ksmtp (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:27:02 +0000

ksmtp (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:13 +0000

ksmtp (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:31:53 +0000

ksmtp (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:37 +0000

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 21.12.3~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 21.12.3~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~)
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

## ksmtp 22.08.1

=== debian/changelog ===
ksmtp (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:46 +0100

ksmtp (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:11 +0100

ksmtp (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:57 +0100

ksmtp (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:27 +0100

ksmtp (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:30 +0100

ksmtp (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5mime-dev (>= 22.08.1~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -23,7 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 21.12.3~),
+         libkf5mime-dev (>= 22.08.1~),
          libkpimsmtp5abi1 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 22.12.0

=== debian/changelog ===
ksmtp (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:19 +0100

ksmtp (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:02:07 +0100

ksmtp (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:13 +0100

ksmtp (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:09:50 +0200

ksmtp (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:07:56 +0200

ksmtp (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:10 +0200

ksmtp (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:54:54 +0200

ksmtp (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:00:06 +0200

ksmtp (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:06 +0200

ksmtp (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 01:56:37 +0200

ksmtp (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:08:34 +0200

ksmtp (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 22:17:35 +0100

ksmtp (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:24:41 +0900

ksmtp (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:25:42 +0900

ksmtp (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:38:40 +0900

ksmtp (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:13:38 +0900

ksmtp (21.04.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkpimsmtp-dev: Add Multi-Arch: same.

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update Debian ABI Manager patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:48 +0900

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/ksmtp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git
Rules-Requires-Root: no

Package: libkpimsmtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for handling SMTP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KPimSMTP.

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.99.0~),
         libkf5i18n-dev (>= 5.99.0~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Multi-Arch: same
Description: library for handling SMTP data - devel files
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
Provides: ${ABI:VirtualPackage}

## ksmtp 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.19.3")
+set(PIM_VERSION "5.22.3")
 
 project(KSMTP VERSION ${PIM_VERSION})
 
 
 # ECM setup
-set(KF5_MIN_VERSION "5.87.0")
+set(KF5_MIN_VERSION "5.99.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,6 +28,7 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 
 include(ECMAddQch)
 
@@ -35,6 +38,9 @@
 
 set(KSMTP_LIB_VERSION ${PIM_VERSION})
 set(QT_REQUIRED_VERSION "5.15.2")
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+endif()
 ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
     VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
     PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
@@ -43,8 +49,10 @@
 
 
 ############ Find packages ############
-find_package(Qt5Network ${QT_REQUIRED_VERSION} REQUIRED)
-
+find_package(Qt${QT_MAJOR_VERSION}Network ${QT_REQUIRED_VERSION} REQUIRED)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Qt6Core5Compat)
+endif()
 find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -62,8 +70,8 @@
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
+
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_executable(logintest logintest.cpp)
target_link_libraries(logintest KPimSMTP Qt::Core KF5::KIOWidgets)

=== debian/changelog ===
ksmtp (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:31:30 +0100

ksmtp (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -23,7 +22,7 @@
 Package: libkpimsmtp-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: library for handling SMTP data - arch independent files
  This library provides an API for handling data received from IMAP services.
  IMAP (Internet Message Access Protocol) is one of the two most prevalent
@@ -52,9 +51,9 @@
 X-CMake-Target: KPimSMTP
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library for handling SMTP data
  This library provides an API for handling SMTP services.
  SMTP (Simple Mail Transfer Protocol) is the most prevalent
  Internet standard protocols for e-mail transmission.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},

## ksmtp 23.04.2

=== debian/changelog ===
ksmtp (23.04.2-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 13:19:27 +0000

ksmtp (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:48:30 +0000

ksmtp (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:20:14 +0000

ksmtp (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:36:18 +0000

ksmtp (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:11:17 +0000

ksmtp (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:52:05 +0000

ksmtp (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:57:10 +0000

ksmtp (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:20:48 +0000

ksmtp (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:35:32 +0000

ksmtp (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:20:13 +0000

ksmtp (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:05:09 +0000

ksmtp (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:26:59 +0000

ksmtp (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:22:56 +0000

ksmtp (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:35:09 +0000

ksmtp (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Feb 2022 16:07:18 +0000

ksmtp (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:08:48 +0000

ksmtp (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:40 +0000

ksmtp (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 11:02:05 +0000

ksmtp (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:08 +0000

ksmtp (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:49 +0000

ksmtp (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:51 +0000

ksmtp (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:52 +0000

ksmtp (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:39 +0000

ksmtp (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:34 +0000

ksmtp (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:11 +0000

ksmtp (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:56 +0000

ksmtp (20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:20:12 +0000

ksmtp (20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:37:39 +0000

ksmtp (20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:11:37 +0000

ksmtp (20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:31:14 +0000

ksmtp (20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:30:00 +0000

ksmtp (20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:21:13 +0000

ksmtp (20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:41:13 +0000

ksmtp (20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:27:41 +0000

ksmtp (20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:49:50 +0000

ksmtp (19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:04:35 +0000

ksmtp (19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:46:31 +0000

ksmtp (19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:09 +0000

ksmtp (19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:54:55 +0000

ksmtp (19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:15:27 +0000

ksmtp (19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:13:16 +0000

ksmtp (19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:27:33 +0000

ksmtp (19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:24:29 +0000

ksmtp (19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:37:08 +0000

ksmtp (19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:04:33 +0000

ksmtp (19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:40:20 +0000

ksmtp (19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:14:27 +0000

ksmtp (18.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:05:36 +0000



=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.35.0~),
               libkf5coreaddons-dev (>= 5.35.0~),
               libkf5i18n-dev (>= 5.35.0~),
               libkf5kio-dev (>= 5.35.0~),
               libkf5mime-dev (>= 17.04.3~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~)
Standards-Version: 4.0.0
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Git: https://invent.kde.org/neon/kde/ksmtp.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksmtp
Maintainer: Neon CI <neon@kde.org>

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.34.0~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5kio-dev (>= 5.31.0~),
         libkf5mime-dev (>= 17.04.3~),
         libkpimsmtp5 (= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

%:
	dh $@ 

override_dh_auto_test:
	# Disable auto test at build time, no way to test smtp as it requires network access
	:

## ksmtp 23.08.0

=== debian/changelog ===
ksmtp (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:06 +0100

ksmtp (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:34 +0100

ksmtp (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:10 +0100

ksmtp (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library libkpimsmtp5abi1 -> libkpim5smtp5
  * Add new libkpim5smtp-data package
  * Drop enable_debianabimanager.diff
  * Sync debian/rules with debian, provide virtual ABI package
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:43 +0100

ksmtp (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:41 +0000

ksmtp (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:24:07 -0600

ksmtp (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:09 +0000

ksmtp (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:09 +0000

ksmtp (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:24 +0000

ksmtp (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:40:34 +0000

ksmtp (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:23 +0000

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 23.08.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 23.08.0~),
         libkpim5smtp5 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpim5smtp5
Architecture: any
Multi-Arch: same
Depends: libkpim5smtp-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~)
Provides: ${ABI:VirtualPackage},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

Package: libkpim5smtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~),
          libkpimsmtp5abi1 (<< 23.04.1~),
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

## ksmtp 23.08.1

=== debian/changelog ===
ksmtp (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 23.08.0~),
+               libkf5mime-dev (>= 23.08.1~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -23,7 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 23.08.0~),
+         libkf5mime-dev (>= 23.08.1~),
          libkpim5smtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 23.08.4

=== debian/changelog ===
ksmtp (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:14 +0000

ksmtp (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:29 +0000

ksmtp (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.4~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -23,7 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 23.08.1~),
+         libkf5mime-dev (>= 23.08.4~),
          libkpim5smtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.5")

project(KSMTP VERSION ${PIM_VERSION})


# ECM setup
set(KF_MIN_VERSION "5.105.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(KSMTP_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
    VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
    PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPim${KF_MAJOR_VERSION}SMTPConfigVersion.cmake
    SOVERSION 5
)


############ Find packages ############
find_package(Qt${QT_MAJOR_VERSION}Network ${QT_REQUIRED_VERSION} REQUIRED)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()
find_package(KF${KF_MAJOR_VERSION}CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

########### CMake Config Files ############


add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


########### Targets ###########
add_subdirectory(src)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}SMTP")
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}SMTP_QCH
        FILE KPim${KF_MAJOR_VERSION}SMTPQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}SMTPQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${KSMTP_SOURCE_DIR}/KPimSMTPConfig.cmake.in"
    "${KSMTP_BINARY_DIR}/KPim${KF_MAJOR_VERSION}SMTPConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()

########### Install Files ############
install(FILES
    "${KSMTP_BINARY_DIR}/KPim${KF_MAJOR_VERSION}SMTPConfig.cmake"
    "${KSMTP_BINARY_DIR}/KPim${KF_MAJOR_VERSION}SMTPConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim${KF_MAJOR_VERSION}SMTPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim${KF_MAJOR_VERSION}SMTPTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
    ${KSMTP_BINARY_DIR}/ksmtp_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KSMTP COMPONENT Devel
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)
find_package(Qt${QT_MAJOR_VERSION}Test ${QT_REQUIRED_VERSION} REQUIRED)

ecm_add_test(smtptest.cpp fakeserver.cpp smtptest.h fakeserver.h
    LINK_LIBRARIES KPim${KF_MAJOR_VERSION}SMTP Qt::Test Qt::Network
    TEST_NAME smtptest
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_library(KPim${KF_MAJOR_VERSION}SMTP)
add_library(KPim${KF_MAJOR_VERSION}::SMTP ALIAS KPim${KF_MAJOR_VERSION}SMTP)
target_sources(KPim${KF_MAJOR_VERSION}SMTP PRIVATE
    job.cpp
    loginjob.cpp
    sendjob.cpp
    session.cpp
    sessionthread.cpp
    sessionuiproxy.cpp
    loginjob.h
    sessionthread_p.h
    session_p.h
    job.h
    serverresponse_p.h
    session.h
    sessionuiproxy.h
    job_p.h
    sendjob.h
)

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}SMTP HEADER ksmtp_debug.h
        IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp
        DESCRIPTION "ksmtp (ksmtp)" EXPORT KSMTP
        )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}SMTP PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPim${KF_MAJOR_VERSION}SMTP BASE_NAME ksmtp)
target_include_directories(KPim${KF_MAJOR_VERSION}SMTP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KSMTP;${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KSMTP/ksmtp>")

if (WIN32)
    set(extra_LIBS ws2_32)
endif()


target_link_libraries(KPim${KF_MAJOR_VERSION}SMTP
PUBLIC
    KF${KF_MAJOR_VERSION}::CoreAddons
PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::KIOCore
    Qt::Network
    Sasl2::Sasl2
    ${extra_LIBS}
)

set_target_properties(KPim${KF_MAJOR_VERSION}SMTP PROPERTIES
    VERSION ${KSMTP_VERSION}
    SOVERSION ${KSMTP_SOVERSION}
    EXPORT_NAME SMTP
)

ecm_generate_headers(KSMTP_CamelCase_HEADERS
    HEADER_NAMES
    Job
    LoginJob
    SendJob
    Session
    SessionUiProxy
    PREFIX KSMTP

    REQUIRED_HEADERS KSMTP_HEADERS
)

install(TARGETS KPim${KF_MAJOR_VERSION}SMTP EXPORT KPim${KF_MAJOR_VERSION}SMTPTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ksmtp_export.h
    ${KSMTP_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KSMTP/ksmtp
)

install(FILES
    ${KSMTP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/KSMTP/KSMTP
)
ecm_qt_install_logging_categories(EXPORT KSMTP FILE ksmtp.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}SMTP_QCH
        NAME KPim${KF_MAJOR_VERSION}SMTP
        BASE_NAME KPim${KF_MAJOR_VERSION}SMTP
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KSMTP_HEADERS}
	    ${KSMTP_CamelCase_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KSMTP_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_generate_pri_file(BASE_NAME KSMTP LIB_NAME KPim${KF_MAJOR_VERSION}SMTP DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_executable(logintest logintest.cpp)
target_link_libraries(logintest KPim${KF_MAJOR_VERSION}SMTP Qt::Core KF${KF_MAJOR_VERSION}::KIOWidgets)

=== debian/changelog ===
ksmtp (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:36:31 +0000

ksmtp (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:21:09 +0000

ksmtp (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:16:47 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.5~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -23,7 +23,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 23.08.4~),
+         libkf5mime-dev (>= 23.08.5~),
          libkpim5smtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 24.08.2

=== debian/changelog ===
ksmtp (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:01:20 +0200

ksmtp (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake and new binary
    packages.
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 02:42:11 +0200

ksmtp (24.05.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename data and dev packages to make it more consistent with other
    KDE PIM libraries.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jul 2024 19:48:15 +0200

ksmtp (24.05.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jul 2024 23:00:00 +0200

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libsasl2-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/ksmtp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git
Rules-Requires-Root: no

Package: libksmtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for handling SMTP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KPimSMTP.

Package: libksmtp-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.3.0~),
         libkpim6smtp6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Multi-Arch: same
Description: library for handling SMTP data - devel files
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpim6smtp6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libksmtp-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
